<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>8-homeWorkJs</title>
  </head>
  <style>
    body {
      margin: 100px;
    }
    .btn {
      margin-left: 5px;
      border-radius: 5px;
    }
    .input-price {
      margin-top: 3px;
      display: block;
      border-radius: 5px;
      outline: none;
    }
  </style>
  <body>
    <div class="price-box" hidden>
      <span class="current-price"></span>
      <button class="btn">x</button>
    </div>
    <input class="input-price" type="number" placeholder="price" />
    <span class="wrong-price" hidden>Please enter correct price</span>

    <script>
      "use strict";
      // Обработчик событий это код, который запускается в ответ на событие.
      
      const btn = document.querySelector(".btn");
      let priceBox = document.querySelector(".price-box");
      let currentPrice = document.querySelector(".current-price");
      let inputPrice = document.querySelector(".input-price");
      let wrongPrice = document.querySelector(".wrong-price");

      inputPrice.addEventListener("focus", (e) => {
        e.target.style.border = "4px solid lightgreen";
      });

      inputPrice.addEventListener("blur", (e) => {
        if (inputPrice.value > 0) {
          e.target.style.border = "";
          e.target.style.color = "limegreen";
          priceBox.hidden = false;
          wrongPrice.hidden = true;
          currentPrice.textContent = `Текущая цена: ${inputPrice.value}`;
        } else {
          wrongPrice.hidden = false;
          e.target.style.border = "4px solid tomato";
        }
      });

      btn.addEventListener("click", (e) => {
        priceBox.hidden = true;
        inputPrice.style.color = "";
        inputPrice.value = "";
      });
    </script>
  </body>
</html>
